org.apache.fop.render.gradient

## Class Shading

- java.lang.Object
- - org.apache.fop.render.gradient.Shading

-     public class Shading
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Shading.FunctionRenderer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shading(int shadingType, PDFDeviceColorSpace colorSpace, List<Double> coords, Function function)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitsPerComponent()`
    `int` | `getBitsPerCoordinate()`
    `int` | `getBitsPerFlag()`
    `PDFDeviceColorSpace` | `getColorSpace()`
    `List<Double>` | `getCoords()`
    `List<Boolean>` | `getExtend()`
    `Function` | `getFunction()`
    `int` | `getShadingType()`
    `int` | `getVerticesPerRow()`
    `boolean` | `isAntiAlias()`
    `void` | `output(StringBuilder out, GradientMaker.DoubleFormatter doubleFormatter, Shading.FunctionRenderer functionRenderer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shading

          public Shading(int shadingType,
                         PDFDeviceColorSpace colorSpace,
                         List<Double> coords,
                         Function function)

  - ### Method Detail

    - #### getShadingType

          public int getShadingType()

    - #### getColorSpace

          public PDFDeviceColorSpace getColorSpace()

    - #### getCoords

          public List<Double> getCoords()

    - #### getFunction

          public Function getFunction()

    - #### getExtend

          public List<Boolean> getExtend()

    - #### getBitsPerCoordinate

          public int getBitsPerCoordinate()

    - #### getBitsPerFlag

          public int getBitsPerFlag()

    - #### isAntiAlias

          public boolean isAntiAlias()

    - #### getBitsPerComponent

          public int getBitsPerComponent()

    - #### getVerticesPerRow

          public int getVerticesPerRow()

    - #### output

          public void output(StringBuilder out,
                             GradientMaker.DoubleFormatter doubleFormatter,
                             Shading.FunctionRenderer functionRenderer)

Copyright © 2023 Apache Software Foundation. All rights reserved.